Bug 991129 - Attempt to autoconfigure proprietary X drivers if present
Attempt to autoconfigure proprietary X drivers if present
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.6
All Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks: 1021012
  Show dependency treegraph
 
Reported: 2013-08-01 13:00 EDT by Daniel Dadap
Modified: 2016-04-28 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 13:25:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Dadap 2013-08-01 13:00:39 EDT
Description of problem:

The Xorg X server will attempt to automatically configure detected hardware with an appropriate driver, if a driver has not been explicitly specified for that hardware. The list of drivers which Xorg will attempt to autoconfigure is limited to those drivers which are shipped with Xorg.

It would be nice if Xorg could attempt to autoconfigure proprietary drivers supplied by the vendors of the detected hardware, if those drivers are available.

Version-Release number of selected component (if applicable):


How reproducible:

Install graphics hardware along with a proprietary X driver for that hardware. (e.g. an NVIDIA GPU and the NVIDIA X driver). Attempt to start X without explicitly configuring any driver.

Steps to Reproduce:
1. Install hardware and driver.
2. Ensure that no explicit driver configuration is present in xorg.conf or xorg.conf.d/*
3. Start X

Actual results:

X will attempt to load one of its built-in drivers. (In the NVIDIA example, nouveau_drv.so.) If the install process for the proprietary driver involved forcibly disabling the built-in driver to avoid conflicts (again, Nouveau in this example), X will fail to load any driver for this hardware.

Expected results:

X could attempt to load the proprietary driver.

Additional info:

Several years ago, Aaron Plattner at NVIDIA committed a patch to X.org to autoconfigure the NVIDIA driver. It was reverted, with the rationale being that Xorg should only try to autoconfigure its own drivers, and if distributors wanted to patch X to autoconfigure additional drivers, they were free to do so:

http://lists.freedesktop.org/archives/xorg/2008-July/037098.html
Comment 1 Daniel Dadap 2013-08-01 13:02:31 EDT
Adding kem and jkachuck to CC list, as we have discussed this topic in a RH/NVIDIA conference call.
Comment 3 RHEL Product and Program Management 2013-10-13 22:52:47 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Joseph Kachuck 2013-10-18 14:49:50 EDT
Hello,
This is now requested for RHEL 6.6.

Thank You
Joe Kachuck
Comment 10 Joseph Kachuck 2016-04-28 13:25:32 EDT
Hello,
As this has not been fixed in RHEL 6.x. I would recommend if you are still seeing this issue on RHEL 7 to open a new BZ there. 

Thank You
Joe Kachuck

Note You need to log in before you can comment on or make changes to this bug.